<?php
/*
Copyright: © 2009 WebSharks, Inc. ( coded in the USA )
<mailto:support@websharks-inc.com> <http://www.websharks-inc.com/>

Released under the terms of the GNU General Public License.
You should have received a copy of the GNU General Public License,
along with this software. In the main directory, see: /licensing/
If not, see: <http://www.gnu.org/licenses/>.
*/
/*
Direct access denial.
*/
if (realpath (__FILE__) === realpath ($_SERVER["SCRIPT_FILENAME"]))
	exit ("Do not access this file directly.");
/*
Add the plugin Actions/Filters here.
*/
add_action ("init", "ws_widget__ad_squares_menu_pages_js");
add_action ("init", "ws_widget__ad_squares_menu_pages_css");
/**/
add_action ("widgets_init", "ws_widget__ad_squares_register");
/**/
add_action ("admin_menu", "ws_widget__ad_squares_add_admin_options");
add_action ("admin_print_scripts", "ws_widget__ad_squares_add_admin_scripts");
add_action ("admin_print_styles", "ws_widget__ad_squares_add_admin_styles");
/**/
add_action ("admin_notices", "ws_widget__ad_squares_admin_notices");
add_action ("user_admin_notices", "ws_widget__ad_squares_admin_notices");
add_action ("network_admin_notices", "ws_widget__ad_squares_admin_notices");
/*
Register the activation | de-activation routines.
*/
register_activation_hook ($GLOBALS["WS_WIDGET__"]["ad_squares"]["l"], "ws_widget__ad_squares_activate");
register_deactivation_hook ($GLOBALS["WS_WIDGET__"]["ad_squares"]["l"], "ws_widget__ad_squares_deactivate");
?>